=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-01-25 02:52:05 +0000
+++ drizzled/drizzled.cc	2009-01-26 00:19:35 +0000
@@ -1637,8 +1637,6 @@
                           DRIZZLE_ERROR::WARN_LEVEL_ERROR))
       return;;
 
-    session->is_slave_error=  1; // needed to catch query errors during replication
-
     /*
       session->lex->current_select == 0 if lex structure is not inited
       (not query command (COM_QUERY))

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-01-25 02:52:05 +0000
+++ drizzled/handler.cc	2009-01-26 00:19:35 +0000
@@ -831,8 +831,7 @@
     the error log; but we don't want users to wonder why they have this
     message in the error log, so we don't send it.
   */
-  if (is_real_trans && session->transaction.all.modified_non_trans_table &&
-       session->killed != Session::KILL_CONNECTION)
+  if (is_real_trans && session->transaction.all.modified_non_trans_table && session->killed != Session::KILL_CONNECTION)
     push_warning(session, DRIZZLE_ERROR::WARN_LEVEL_WARN,
                  ER_WARNING_NOT_COMPLETE_ROLLBACK,
                  ER(ER_WARNING_NOT_COMPLETE_ROLLBACK));

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-01-25 02:52:05 +0000
+++ drizzled/server_includes.h	2009-01-26 00:19:35 +0000
@@ -22,7 +22,7 @@
 
   @details
   Mostly this file is used in the server. But a little part of it is used in
-  mysqlbinlog too (definition of SELECT_DISTINCT and others).
+  definition of SELECT_DISTINCT and others.
 
   @TODO Name this file better. "priv" could mean private, privileged, privileges.
 */
@@ -140,7 +140,7 @@
 extern uint64_t opt_tc_log_size;
 extern uint64_t tc_log_page_waits;
 extern bool relay_log_purge;
-extern bool opt_innodb_safe_binlog, opt_innodb;
+extern bool opt_innodb;
 extern uint32_t test_flags,select_errors,ha_open_options;
 extern uint32_t protocol_version, drizzled_port, dropping_tables;
 extern uint32_t delay_key_write_options;
@@ -166,7 +166,6 @@
 extern char* opt_secure_file_priv;
 extern bool opt_noacl;
 extern bool opt_old_style_user_limits;
-extern uint32_t opt_crash_binlog_innodb;
 extern char *default_tz_name;
 extern char *opt_logname, *opt_slow_logname;
 extern const char *log_output_str;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-01-25 02:52:05 +0000
+++ drizzled/session.cc	2009-01-26 00:19:35 +0000
@@ -502,7 +502,7 @@
   count_cuted_fields= CHECK_FIELD_IGNORE;
   killed= NOT_KILLED;
   col_access=0;
-  is_slave_error= thread_specific_used= false;
+  thread_specific_used= false;
   hash_clear(&handler_tables_hash);
   tmp_table=0;
   used_tables=0;

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-01-24 13:22:10 +0000
+++ drizzled/session.h	2009-01-26 00:19:35 +0000
@@ -27,7 +27,6 @@
 #include <drizzled/protocol.h>
 #include <libdrizzle/password.h>     // rand_struct
 #include <drizzled/sql_locale.h>
-#include <drizzled/scheduler.h>
 #include <drizzled/ha_trx_info.h>
 #include <mysys/my_tree.h>
 #include <drizzled/handler.h>
@@ -190,10 +189,6 @@
   uint32_t trans_prealloc_size;
   bool log_warnings;
   uint64_t group_concat_max_len;
-  /*
-    In slave thread we need to know in behalf of which
-    thread the query is being run to replicate temp tables properly
-  */
   /* TODO: change this to my_thread_id - but have to fix set_var first */
   uint64_t pseudo_thread_id;
 
@@ -1140,13 +1135,6 @@
   /* for IS NULL => = last_insert_id() fix in remove_eq_conds() */
   bool       substitute_null_with_insert_id;
   bool	     in_lock_tables;
-  /**
-    True if a slave error. Causes the slave to stop. Not the same
-    as the statement execution error (is_error()), since
-    a statement may be expected to return an error, e.g. because
-    it returned an error on master, and this is OK on the slave.
-  */
-  bool       is_slave_error;
   bool       cleanup_done;
 
   /**  is set if some thread specific value(s) used in a statement. */
@@ -1314,7 +1302,6 @@
   {
     if (main_da.is_error())
       main_da.reset_diagnostics_area();
-    is_slave_error= 0;
     return;
   }
   inline bool vio_ok() const { return net.vio != 0; }

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-01-24 16:48:34 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-01-26 00:19:35 +0000
@@ -28,7 +28,7 @@
 
 static uint32_t created_threads, killed_threads;
 static bool kill_pool_threads;
-static bool isEnabled= false;
+static bool isEnabled= true;
 
 static struct event session_add_event;
 static struct event session_kill_event;

=== modified file 'plugin/single_thread/single_thread.cc'
--- plugin/single_thread/single_thread.cc	2009-01-24 16:48:34 +0000
+++ plugin/single_thread/single_thread.cc	2009-01-26 00:19:35 +0000
@@ -25,7 +25,7 @@
 #include <string>
 using namespace std;
 
-static bool isEnabled= true;
+static bool isEnabled= false;
 static bool init_dummy(void) {return 0;}
 
 /*

